<h2>Список машин: </h2>
<table mat-table [dataSource]="cars"
       class="mat-elevation-z8"
       *ngIf="cars">

    <ng-container matColumnDef="mark">
        <th mat-header-cell *matHeaderCellDef> Имя </th>
        <td mat-cell *matCellDef="let element"> {{element.mark}} </td>
    </ng-container>

    <ng-container matColumnDef="model">
        <th mat-header-cell *matHeaderCellDef>Модель</th>
        <td mat-cell *matCellDef="let element"> {{element.model}} </td>
    </ng-container>

    <ng-container matColumnDef="number">
        <th mat-header-cell *matHeaderCellDef> Гос номер </th>
        <td mat-cell *matCellDef="let element"> {{element.number}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="goToUser(row)"></tr>
</table>
